cite.KriSp <- function() 
{
    cat("\n")
    cat("To cite KriSp in publications, use\n\n")
    msg <- "Furrer, R. (2006). KriSp: a Package for Covariance Tapering for Interpolation of Large Spatial Datasets. Technical Report MCS 06-06, Colorado School of Mines, Golden, USA."
    writeLines(strwrap(msg, prefix = "  "))
    cat("\n")
    msg <- paste("Please cite KriSp when using it for data analysis.")
    writeLines(strwrap(msg))
    cat("\nA BibTeX entry for LaTeX users is\n\n")
    cat("  @TechReport{,\n")
    cat("     title       = {{KriSp}: a Package for Covariance Tapering\n")
    cat("                    for Interpolation of Large Spatial Datasets},\n")
    cat("     author      = {Furrer, R.},\n")
    cat("     institution = {Colorado School of Mines},\n")
    cat("     address     = {Golden, USA},\n")
    cat("     number      = {MCS 06--06},\n")
    cat("     year        = {2006},\n")
    cat("     url         = {http://www.mines.edu/~rfurrer/software/KriSp/},\n")
    cat("     note        = {(Version 0.4, 2006--10--26},\n")
    cat("   }\n\n")
}

