\name{KriSp-internal}
\alias{distprep}
\alias{predict.surface.se.sparse}
\alias{predict.se.sparse}
\alias{version.KriSp}
\alias{expo.earth.cov}
\title{KriSp internal and secondary functions 
}
\description{
Listed below are supporting functions for KriSp. 
}
\usage{distprep(distance, range, effect)

version.KriSp(verbose=TRUE)

predict.surface.se.sparse(object,...)
predict.se.sparse(object,...)


expo.earth.cov(x1, x2, theta = 1, C = NA)
}
\details{
   \code{distprep} is an auxiliary function used in the different 
   covariance functions. \code{effect} can be used if `effective'
   ranges should be considered.

   As all \code{sparse} objects are also \code{Krig} objects, we 
   need as many methods as defined for \code{Krig} in the \code{fields} library.


   The structure of the functions \code{Krig} in \code{fields} has
     changed drastically between versions 2.x and 3.x. To keep sample
     source code simple, we wrote a function \code{expo.earth.cov} that
     works like \code{exp.earth.cov} in versions 2.x but has the
     required functionality for higher versions.\cr
     
}
\keyword{internal}
